%define upstream_name    DateTime-Calendar-Discordian
%define upstream_version 1.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    DateTime extension for the Discordian calendar
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Locale)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
The Discordian Calendar
    Seasons
            Name            Patron apostle
            ----            --------------
            Chaos           Hung Mung
            Discord         Dr. Van Van Mojo
            Confusion       Sri Syadasti
            Bureaucracy     Zarathud
            The Aftermath   The Elder Malaclypse

        Each season contains 73 consecutively numbered days.

    Holidays
            Apostle Holidays    Season Holidays
            ----------------    ---------------
            1) Mungday          1) Chaoflux
            2) Mojoday          2) Discoflux
            3) Syaday           3) Confuflux
            4) Zaraday          4) Bureflux
            5) Maladay          5) Afflux

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README LICENSE SIGNATURE Changes META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.0.0-12.mga10
+ Revision: 2198086
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.0.0-11.mga9
+ Revision: 1802912
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.0-10.mga8
+ Revision: 1493834
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.0.0-9.mga7
+ Revision: 1267026
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.0.0-8.mga6
+ Revision: 1025060
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 1.0.0-7.mga6
+ Revision: 941950
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-6.mga5
+ Revision: 745582
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-5.mga5
+ Revision: 684266
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-4.mga4
+ Revision: 510746
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-3.mga3
+ Revision: 365548
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 28 2012 shlomif <shlomif> 1.0.0-2.mga3
+ Revision: 322661
- New rel
- Add summary and other correction

* Wed Nov 28 2012 shlomif <shlomif> 1.0.0-1.mga3
+ Revision: 322649
- imported package perl-DateTime-Calendar-Discordian


* Wed Nov 28 2012 cpan2dist 1.0-1mga
- initial mageia release, generated with cpan2dist
